{-# LANGUAGE OverloadedStrings #-}

module Main where

import            Control.Applicative
import            Control.Monad.Trans.Resource
import            Data.Attoparsec.Text
import            Data.Conduit
import qualified  Data.Conduit.List                                as CL
import            Data.Conduit.Tokenize.Attoparsec
import            Data.Conduit.Tokenize.Attoparsec.Offset

main :: IO ()
main = do
  results <- runResourceT $ yield "hihihi\nhihi"
      $$ conduitParser (Offset 0) (Data.Attoparsec.Text.string "\n" <|> Data.Attoparsec.Text.string "hi")
      =$ CL.consume

  print results
